Retrieve current On-Demand Payroll

Retrieves the active On-Demand Payroll for the given contract, including its status, SLAs, invoice and attached entries.

Token scopes: on-demand-payroll:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired

Public ID (oid) of the contract.

Response

The active On-Demand Payroll for the contract.

dataobject

An On-Demand Payroll for a contract.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error